local nSealTreasure_RareX = 30
local nSealTreasure_RareY = -10
local sSealTreasure_RareAni = ""
local nSealTreasure_RuleCtrlId = 0
local nSealTreasure_RuleBgAniId = 10
local nSealTreasure_RuleCount = 6
local sSealTreasure_BreakItem = ""
local sSealTreasure_BreakItemAni = ""
local sSealTreasure_BreakEffect = ""
local nSealTreasure_BreakPrice = 10000
local nSealTreasure_FloorMax = 0
local sSealTreasure_ItemPro = ""
local nSealTreasure_RewardType = 0
local nSealTreasure_RotateZ = -60
local nSealTreasure_RotateX = 0
local nSealTreasure_ActionType = 401
local sSealTreasure_AniFile = "ani/ItemMinIcon.Ani"
local sSealTreasure_WeaponEffect = "fp_Fan"
local nSealTreasure_FloorNums = 0

-- 
local T_SealTreasure_BreakItem = {
	[3327534] = {
		Name = "SealBreaker*%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 1,
	},
	[3327535] = {
		Name = "%d Advanced Seal Breaker(s)",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 5,
	},
	[3317534] = {
		Name = "Pri.Breaker*%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 1,
	},
	[3317535] = {
		Name = "Int.Breaker*%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 10,
	},
	[3317536] = {
		Name = "Adv.Breaker*%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 100,
	},
	[3324267] = {
		Name = "%d Ticket(s)",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 3,
	},
	[3325427] = {
		Name = "Love Star*%d",
		Nums = {1,2,3,4,5},
		ItemAni ={"xkpj_star1","xkpj_star2","xkpj_star3","xkpj_star4","xkpj_star5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 3,
	},
	[3600394] = {
		Name = "Love Blessing x%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 5,
	},
	[3341221] = {
		Name = "Trick Amulet*%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 5,
	},
	[3327930] = {
		Name = "Apsaras Amulet*%d",
		Nums = {1,2,3,4,5},
		ItemAni = {"Digong_fyb1","Digong_fyb2","Digong_fyb3","Digong_fyb4","Digong_fyb5",},
		Effect = {"Hit1","Hit2","Hit3","Hit4","Hit5",},
		Price = 5,	
	},
}

-- ˵ ع 0 - 1 - 2 -ȫ 
local T_SealTreasure_Rule = {
	[0] = {
		BgAniId = 10,
		Count = 6,
		CtrlId = {11,12,13,14,15},
	},
	[1] = {
		BgAniId = 10,
		Count = 5,
		CtrlId = {17,18,19,20,21},
	},
	[2] = {
		BgAniId = 10,
		Count = 4,
		CtrlId = {22,23,24,25},
	},
}



-- ع
-- RewardType ʾͣ0-2DͼƬ1-׵ģ(187515)2-ģͣģֻģ2005643-3dЧʽ
-- IsRare ƵعıϡЧǷʾ true ʾʾ falseʾʾ òʾ
-- RareAni عıϡЧtitle
-- RarePosX عıϡЧƫƱ  xƫ
-- RarePosY عıϡЧƫƱ  yƫ
-- RotateZ عΪʱﳯ
-- RotateX عΪʱxת
-- ActionType عΪʱﶯ
-- AniFile ع2DͼƬ۵ıaniļ
-- WeaponEffect ع3dЧtitle
local T_SealTreasure_Reward = {
	[3317540] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3317543] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3317544] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3317547] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3317562] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324290] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324291] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324292] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324293] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324294] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324295] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324296] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324297] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3314248] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[723694] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3324278] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3009002] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[730005] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[730006] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3335196] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[730007] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325489] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3302940] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3312069] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3333971] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3314250] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3312790] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3314213] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325490] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325570] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325571] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3335387] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325491] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
		[3325490] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3314213] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3009002] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[730005] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325992] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3325571] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3329313] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3328918] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3338927] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3341243] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3341244] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
	[3341245] = {
		RewardType = 0,
		IsRare = true,
		RareAni = "Digong_Rare",
		RarePosX = -10,
		RarePosY = 30,
		RotateZ = -60,
		RotateX = 0,
		ActionType = 401,
		AniFile = "ani/ItemMinIcon.Ani",
		WeaponEffect = "fp_Fan",
	},
}

-- ع
-- Type ع 0  1  2 ȫ
-- ItemPro ֱƽ1~5
-- SealBG عͼtitle
local T_SealTreasure = {
	-- عid
	[1] = {
		Type = 0,
		[1] = {
			ItemPro = {1,2,3,4,5},
			SealBG = "Digong_BG",
		},
	},
	[2] = {
		Type = 0,
		[1] = {
			ItemPro = {0.33,0.66,0.99,1.33,1.66},
			SealBG = "Digong_BG",
		},
	},
	[3] = {
		Type = 0,
		[1] = {
			ItemPro = {0.66,1.33,2,2.66,3.33},
			SealBG = "Digong_BG",
		},
	},
	[4] = {
		Type = 0,
		[1] = {
			ItemPro = {1,2,3,4,5},
			SealBG = "Digong_BG",
		},
	},
	[5] = {
		Type = 0,
		[1] = {
			ItemPro = {0.33,0.66,0.99,1.33,1.66},
			SealBG = "Digong_BG",
		},
	},
	[6] = {
		Type = 0,
		[1] = {
			ItemPro = {0.28,0.57,0.85,1.14,1.43},
			SealBG = "Digong_BG",
		},
	},
	[7] = {
		Type = 0,
		[1] = {
			ItemPro = {0.5,1,1.5,2,2.5},
			SealBG = "Digong_BG",
		},
	},
	[8] = {
		Type = 0,
		[1] = {
			ItemPro = {10,20,30,40,50},
			SealBG = "Digong_BG",
		},
	},
	[9] = {
		Type = 0,
		[1] = {
			ItemPro = {10.41,20.83,31.25,41.66,52.08},
			SealBG = "Digong_BG",
		},
	},
	[10] = {
		Type = 0,
		[1] = {
			ItemPro = {10,20,30,40,50},
			SealBG = "Digong_BG",
		},
	},
	[11] = {
		Type = 0,
		[1] = {
			ItemPro = {5,10,15,20,25},
			SealBG = "Digong_BG",
		},
	},
	[12] = {
		Type = 0,
		[1] = {
			ItemPro = {5.55,11.11,16.66,22.22,27.78},
			SealBG = "Digong_BG",
		},
	},
	[13] = {
		Type = 0,
		[1] = {
			ItemPro = {5.05,10.1,15.15,20.2,25.25},
			SealBG = "Digong_BG",
		},
	},
	[14] = {
		Type = 1,
		FloorNums = 4,
		[1] = {
			ItemPro = {18,37,57,78,100},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {17.64,36.26,55.86,76.44,98},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {8.82,18.13,27.93,38.22,49},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {4.41,9.06,13.96,19.11,24.5},
			SealBG = "Digong_BG",
		},
	},
	[15] = {
		Type = 1,
		FloorNums = 4,
		[1] = {
			ItemPro = {11.02,22.66,34.91,47.77,61.25},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {10.91,22.42,34.55,47.28,60.62},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {5.45,11.21,17.27,23.64,30.31},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {2.72,5.6,8.63,11.81,15.15},
			SealBG = "Digong_BG",
		},
	},
	[16] = {
		Type = 1,
		FloorNums = 4,
		[1] = {
			ItemPro = {6.89,14.16,21.81,29.85,38.28},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {6.89,14.16,21.81,29.85,38.28},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {3.44,7.08,10.9,14.92,19.14},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {1.72,3.54,5.45,7.46,9.57},
			SealBG = "Digong_BG",
		},
	},
	-- عid
	[17] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[18] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[19] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[20] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[21] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[22] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[23] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[24] = {
		Type = 0,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[25] = {
		Type = 1,
		FloorNums = 5,
		[1] = {
			ItemPro = {3.83,8.1,12.37,16.63,21.33},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {0.45,0.95,1.45,1.95,2.51},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {0.72,1.53,2.33,3.14,4.03},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {0.22,0.47,0.72,0.97,1.25},
			SealBG = "Digong_BG",
		},
		[5] = {
			ItemPro = {0.09,0.19,0.29,0.39,0.5},
			SealBG = "Digong_BG",
		},
	},
	[26] = {
		Type = 1,
		FloorNums = 5,
		[1] = {
			ItemPro = {3.78,7.98,12.18,16.38,21},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {0.4,0.84,1.29,1.73,2.23},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {0.9,1.91,2.92,3.93,5.05},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {0.22,0.47,0.72,0.97,1.25},
			SealBG = "Digong_BG",
		},
		[5] = {
			ItemPro = {0.09,0.19,0.29,0.39,0.5},
			SealBG = "Digong_BG",
		},
	},
	[27] = {
		Type = 1,
		FloorNums = 5,
		[1] = {
			ItemPro = {4.49,9.48,14.47,19.46,24.96},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {0.44,0.94,1.43,1.93,2.48},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {0.72,1.53,2.33,3.14,4.03},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {0.22,0.47,0.72,0.97,1.25},
			SealBG = "Digong_BG",
		},
		[5] = {
			ItemPro = {0.09,0.19,0.29,0.39,0.5},
			SealBG = "Digong_BG",
		},
	},
	[28] = {
		Type = 1,
		FloorNums = 5,
		[1] = {
			ItemPro = {4.5,9.5,14.5,19.5,25},
			SealBG = "Digong_BG",
		},
		[2] = {
			ItemPro = {0.56,0.49,0.75,0.8,1.03},
			SealBG = "Digong_BG",
		},
		[3] = {
			ItemPro = {0.9,0.98,1.51,10.11,12.96},
			SealBG = "Digong_BG",
		},
		[4] = {
			ItemPro = {0.28,12.66,19.33,7.8,10},
			SealBG = "Digong_BG",
		},
		[5] = {
			ItemPro = {0.11,1.26,1.93,0.05,0.07},
			SealBG = "Digong_BG",
		},
	},
	[29] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[30] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[31] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[32] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[33] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[34] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[35] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[36] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[37] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[38] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[39] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[40] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[41] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[42] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[43] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[44] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
		[45] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[46] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[47] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[48] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[49] = {
		Type = 2,
		[1] = {
			ItemPro = {20,40,60,80,100},
			SealBG = "Digong_BG",
		},
	},
	[53] = {
		Type = 2,
		[1] = {
			ItemPro = {5,10,15,20,25},
			SealBG = "Digong_BG",
		},
	},
	[57] = {
		Type = 2,
		[1] = {
			ItemPro = {5,10,15,20,25},
			SealBG = "Digong_BG",
		},
	},
	[58] = {
		Type = 2,
		[1] = {
			ItemPro = {5,10,15,20,25},
			SealBG = "Digong_BG",
		},
	},
	[59] = {
		Type = 2,
		[1] = {
			ItemPro = {5,10,15,20,25},
			SealBG = "Digong_BG",
		},
	},
}

-- عԤҳƷ嵥ҳ
-- PageCount ҳ루1мҳ
-- PageUp ҳҳ룬0-ʾʾҳť
-- PageDown ҳҳ룬0-ʾʾҳť
-- Num ҳƷ
-- Item1 Ʒitemtypeid Item11 Item2Item3
-- Monopoly1 ƷƷԣ0-1-ƷMonopoly11 Monopoly2Monopoly3
-- Overlay1 Ʒ Overlay11 Overlay2Overlay3
-- Desc1 ƷҪд"x㽱" Desc11 Desc2Desc3
local Preview1 = {
	[1] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 730002,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[2] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 730003,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[3] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3314253,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[4] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3009001,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[5] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3009102,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[6] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3314212,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[7] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3302769,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[8] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3314207,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[9] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3314216,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[10] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3314255,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[11] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3009002,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[12] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 730004,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	[13] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 1,
			Item1 = 3314913,
			Monopoly1 = 0,
			Overlay1 = 1,
		},
	},
	
	[14] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 4,
			
			Desc1 = "F1 Reward:",
			Item1 = 3317537,
			Monopoly1 = 0,
			Overlay1 = 1,
			
			Desc2 = "F2 Reward:",
			Item2 = 3317538,
			Monopoly2 = 0,
			Overlay2 = 1,
			
			Desc3 = "F3 Reward:",
			Item3 = 3317539,
			Monopoly3 = 0,
			Overlay3 = 1,
			
			Desc4 = "F4 Reward:",
			Item4 = 3317540,
			Monopoly4 = 0,
			Overlay4 = 1,
		},
	},
	
	[15] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 4,
			
			Desc1 = "F1 Reward:",
			Item1 = 3317541,
			Monopoly1 = 0,
			Overlay1 = 1,
			
			Desc2 = "F2 Reward:",
			Item2 = 3317542,
			Monopoly2 = 0,
			Overlay2 = 1,
			
			Desc3 = "F3 Reward:",
			Item3 = 3317543,
			Monopoly3 = 0,
			Overlay3 = 1,
			
			Desc4 = "F4 Reward:",
			Item4 = 3317544,
			Monopoly4 = 0,
			Overlay4 = 1,
		},
	},
	
	[16] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 4,
			
			Desc1 = "F1 Reward:",
			Item1 = 3317545,
			Monopoly1 = 0,
			Overlay1 = 1,
			
			Desc2 = "F2 Reward:",
			Item2 = 3317546,
			Monopoly2 = 0,
			Overlay2 = 1,
			
			Desc3 = "F3 Reward:",
			Item3 = 3317547,
			Monopoly3 = 0,
			Overlay3 = 1,
			
			Desc4 = "F4 Reward:",
			Item4 = 3317562,
			Monopoly4 = 0,
			Overlay4 = 1,
		},
	},
	[25] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 5,
			Desc1 = "F1 Reward:",
			Item1 = 730004,
			Monopoly1 = 0,
			Overlay1 = 1,
			Desc2 = "F2 Reward:",
			Item2 = 730006,
			Monopoly2 = 0,
			Overlay2 = 1,
			Desc3 = "F3 Reward:",
			Item3 = 3335196,
			Monopoly3 = 0,
			Overlay3 = 1,
			Desc4 = "F4 Reward:",
			Item4 = 730007,
			Monopoly4 = 0,
			Overlay4 = 1,
			Desc5 = "F5 Reward:",
			Item5 = 3325489,
			Monopoly5 = 0,
			Overlay5 = 1,
		},
	},
	[26] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 5,
			Desc1 = "F1 Reward:",
			Item1 = 3333117,
			Monopoly1 = 0,
			Overlay1 = 1,
			Desc2 = "F2 Reward:",
			Item2 = 3302940,
			Monopoly2 = 0,
			Overlay2 = 1,
			Desc3 = "F3 Reward:",
			Item3 = 3335196,
			Monopoly3 = 0,
			Overlay3 = 1,
			Desc4 = "F4 Reward:",
			Item4 = 3312069,
			Monopoly4 = 0,
			Overlay4 = 1,
			Desc5 = "F5 Reward:",
			Item5 = 3325489,
			Monopoly5 = 0,
			Overlay5 = 1,
		},
	},
	[27] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 5,
			Desc1 = "F1 Reward:",
			Item1 = 3009103,
			Monopoly1 = 0,
			Overlay1 = 1,
			Desc2 = "F2 Reward:",
			Item2 = 3333971,
			Monopoly2 = 0,
			Overlay2 = 1,
			Desc3 = "F3 Reward:",
			Item3 = 3335196,
			Monopoly3 = 0,
			Overlay3 = 1,
			Desc4 = "F4 Reward:",
			Item4 = 3314250,
			Monopoly4 = 1,
			Overlay4 = 1,
			Desc5 = "F5 Reward:",
			Item5 = 3325489,
			Monopoly5 = 0,
			Overlay5 = 1,
		},
	},
	[28] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 5,
			Desc1 = "F1 Reward:",
			Item1 = 3312788,
			Monopoly1 = 0,
			Overlay1 = 1,
			Desc2 = "F2 Reward:",
			Item2 = 3312790,
			Monopoly2 = 0,
			Overlay2 = 1,
			Desc3 = "F3 Reward:",
			Item3 = 3335196,
			Monopoly3 = 0,
			Overlay3 = 1,
			Desc4 = "F4 Reward:",
			Item4 = 3314250,
			Monopoly4 = 1,
			Overlay4 = 1,
			Desc5 = "F5 Reward:",
			Item5 = 3325489,
			Monopoly5 = 0,
			Overlay5 = 1,
		},
	},
		
}

-- ع
-- tSealTreasure_FloorMax[عid]
local tSealTreasure_FloorMax = {}
-- tSealTreasure_FloorMax[23] = 10

-- ع3һҳƷ嵥ҳ
local LuckPage = {
	[17] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[18] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[19] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[20] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[21] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[22] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[23] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[24] = {
		PageCount=1,
		[1] = {
			Page="1",
			PageUp=0,
			PageDown=0,
			Num=8,
			Item1=730002,
			Item2=3009001,
			Item3=3314248,
			Item4=723694,
			Item5=3009101,
			Item6=3324278,
			Item7=3009002,
			Item8=730005,
			Monopoly1=1,
			Monopoly2=1,
			Monopoly3=1,
			Monopoly4=1,
			Monopoly5=1,
			Monopoly6=1,
			Monopoly7=1,
			Monopoly8=1,
			Overlay1=1,
			Overlay2=1,
			Overlay3=1,
			Overlay4=1,
			Overlay5=1,
			Overlay6=1,
			Overlay7=1,
			Overlay8=1,
		},
	},
	[29] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 1,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 1,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3314250,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[30] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 1,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 1,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3314250,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[31] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 1,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 1,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3314250,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[32] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 1,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 1,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3314250,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[33] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 1,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 1,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3314250,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[34] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[35] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[36] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[37] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[38] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[39] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[40] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[41] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[42] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[43] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
	[44] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 3325756,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009102,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314248,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 723694,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 4060001,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314217,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 3009002,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 730005,
			Monopoly10 = 1,
			Overlay10 = 1,
		},
	},
[45] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 1,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 1,
			Overlay9 = 1,
			Item10 = 3325490,
			Monopoly10 = 0,
			Overlay10 = 1,
		},
	},
	[46] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 1,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 1,
			Overlay9 = 1,
			Item10 = 3325490,
			Monopoly10 = 0,
			Overlay10 = 1,
		},
	},
	[47] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 1,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 1,
			Overlay9 = 1,
			Item10 = 3325490,
			Monopoly10 = 0,
			Overlay10 = 1,
		},
	},
	[48] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 1,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 1,
			Overlay9 = 1,
			Item10 = 3325490,
			Monopoly10 = 0,
			Overlay10 = 1,
		},
	},
	[49] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 10,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 1,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3314213,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3321077,
			Monopoly7 = 1,
			Overlay7 = 1,
			Item8 = 3314207,
			Monopoly8 = 1,
			Overlay8 = 1,
			Item9 = 4060001,
			Monopoly9 = 1,
			Overlay9 = 1,
			Item10 = 3325490,
			Monopoly10 = 0,
			Overlay10 = 1,
		},
	},
	[53] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 12,
			Item1 = 730002,
			Monopoly1 = 1,
			Overlay1 = 1,
			Item2 = 730005,
			Monopoly2 = 1,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3314212,
			Monopoly5 = 1,
			Overlay5 = 1,
			Item6 = 3321077,
			Monopoly6 = 1,
			Overlay6 = 1,
			Item7 = 3312793,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3326041,
			Monopoly8 = 0,
			Overlay8 = 1,
			Item9 = 3009101,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3322762,
			Monopoly10 = 1,
			Overlay10 = 1,
			Item11 = 3338941,
			Monopoly11 = 0,
			Overlay11 = 1,
			Item12 = 3338939,
			Monopoly12 = 0,
			Overlay12 = 1,
		},
	},
	[57] = {
		PageCount = 1,
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 15,
			Item1 = 3341304,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 3341305,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3336211,
			Monopoly5 = 0,
			Overlay5 = 1,
			Item6 = 3336212,
			Monopoly6 = 0,
			Overlay6 = 1,
			Item7 = 3312202,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3312789,
			Monopoly8 = 0,
			Overlay8 = 1,
			Item9 = 3326041,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3009101,
			Monopoly10 = 0,
			Overlay10 = 1,
			Item11 = 3009103,
			Monopoly11 = 0,
			Overlay11 = 1,
			Item12 = 3322762,
			Monopoly12 = 1,
			Overlay12 = 1,
			Item13 = 3322813,
			Monopoly13 = 1,
			Overlay13 = 1,
			Item14 = 3341270,
			Monopoly14 = 0,
			Overlay14 = 1,
			Item15 = 730005,
			Monopoly15 = 1,
			Overlay15 = 1,
		},
	},
	[58] = {
		PageCount = 1,
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 15,
			Item1 = 3341304,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 3341305,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3336211,
			Monopoly5 = 0,
			Overlay5 = 1,
			Item6 = 3336212,
			Monopoly6 = 0,
			Overlay6 = 1,
			Item7 = 3312202,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3312789,
			Monopoly8 = 0,
			Overlay8 = 1,
			Item9 = 3326041,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3009101,
			Monopoly10 = 0,
			Overlay10 = 1,
			Item11 = 3009103,
			Monopoly11 = 0,
			Overlay11 = 1,
			Item12 = 3322762,
			Monopoly12 = 1,
			Overlay12 = 1,
			Item13 = 3322813,
			Monopoly13 = 1,
			Overlay13 = 1,
			Item14 = 3341270,
			Monopoly14 = 0,
			Overlay14 = 1,
			Item15 = 730005,
			Monopoly15 = 1,
			Overlay15 = 1,
		},
	},
	[59] = {
		PageCount = 1,
		[1] = {
			Page = "1",
			PageUp = 0,
			PageDown = 0,
			Num = 15,
			Item1 = 3341304,
			Monopoly1 = 0,
			Overlay1 = 1,
			Item2 = 3341305,
			Monopoly2 = 0,
			Overlay2 = 1,
			Item3 = 3009001,
			Monopoly3 = 0,
			Overlay3 = 1,
			Item4 = 3009002,
			Monopoly4 = 0,
			Overlay4 = 1,
			Item5 = 3336211,
			Monopoly5 = 0,
			Overlay5 = 1,
			Item6 = 3336212,
			Monopoly6 = 0,
			Overlay6 = 1,
			Item7 = 3312202,
			Monopoly7 = 0,
			Overlay7 = 1,
			Item8 = 3312789,
			Monopoly8 = 0,
			Overlay8 = 1,
			Item9 = 3326041,
			Monopoly9 = 0,
			Overlay9 = 1,
			Item10 = 3009101,
			Monopoly10 = 0,
			Overlay10 = 1,
			Item11 = 3009103,
			Monopoly11 = 0,
			Overlay11 = 1,
			Item12 = 3322762,
			Monopoly12 = 1,
			Overlay12 = 1,
			Item13 = 3322813,
			Monopoly13 = 1,
			Overlay13 = 1,
			Item14 = 3341270,
			Monopoly14 = 0,
			Overlay14 = 1,
			Item15 = 730005,
			Monopoly15 = 1,
			Overlay15 = 1,
		},
	},
}

--------------------------------------
-- صعıϡЧxƫƣֲ֧ͬͬƫ
-- p1Ǳitemtypeid
-- p2Ǳʾͣ0-2DͼƬ1-׵ģ(187515)2-ģͣģֻģ2005643-3dЧʽ
local function GetSealTreasureRareY(p1, p2)
	local bReward_Flag = T_SealTreasure_Reward[p1]
	if bReward_Flag == nil then
		return nSealTreasure_RareY
	end
	local nRare_Y = T_SealTreasure_Reward[p1].RarePosY
	if nRare_Y == nil then
		return nSealTreasure_RareY
	end
	return nRare_Y
end

-- صعıϡЧyƫƣֲ֧ͬͬƫ
-- p1Ǳitemtypeid
-- p2Ǳʾͣ0-2DͼƬ1-׵ģ(187515)2-ģͣģֻģ2005643-3dЧʽ
local function GetSealTreasureRareX(p1, p2)
	local bReward_Flag = T_SealTreasure_Reward[p1]
	if bReward_Flag == nil then
		return nSealTreasure_RareX
	end
	local nRare_X = T_SealTreasure_Reward[p1].RarePosX
	if nRare_X == nil then
		return nSealTreasure_RareX
	end
	return nRare_X
end

-- صعıϡЧtitle
-- p1Ǳitemtypeid
local function GetSealTreasureRare(p1)
	local bReward_Flag = T_SealTreasure_Reward[p1]
	if bReward_Flag == nil then
		return sSealTreasure_RareAni
	end
	
	local bRare_Is = T_SealTreasure_Reward[p1].IsRare
	if bRare_Is ~= true then
		return sSealTreasure_RareAni
	end
	
	local sRare_Ani = T_SealTreasure_Reward[p1].RareAni
	if sRare_Ani == nil then
		return sSealTreasure_RareAni
	end
	return sRare_Ani
end

-- صp2ؼidguiõ
-- p1ǵع
-- p2STR_SEALED_TREASURE_RULEĵڼؼ
local function GetSealRuleCtrlId(p1, p2)
	local bRule_Flag = T_SealTreasure_Rule[p1]
	if bRule_Flag == nil then
		return nSealTreasure_RuleCtrlId
	end
	local nRule_Ctrl_Id = T_SealTreasure_Rule[p1].CtrlId[p2]
	if nRule_Ctrl_Id == nil then
		return nSealTreasure_RuleCtrlId
	end
	return nRule_Ctrl_Id
end

-- ع򱳾ؼidguiõ
-- p1ǵع
local function GetSealRuleBgCtrlId(p1)
	local bRule_Flag = T_SealTreasure_Rule[p1]
	if bRule_Flag == nil then
		return nSealTreasure_RuleBgAniId
	end
	local nRule_BgAni_Id = T_SealTreasure_Rule[p1].BgAniId
	if nRule_BgAni_Id == nil then 
		return nSealTreasure_RuleBgAniId
	end 
	return nRule_BgAni_Id
end

-- عıؼܸ
-- p1ǵعͣĿǰֻ3ֵعp1ֵ0~2
local function GetSealRuleCount(p1)
	local bRule_Flag = T_SealTreasure_Rule[p1]
	if bRule_Flag == nil then
		return nSealTreasure_RuleCount
	end
	local nRule_Count = T_SealTreasure_Rule[p1].Count
	if nRule_Count == nil then 
		return nSealTreasure_RuleCount
	end 
	return nRule_Count
end

-- ƽť
-- p1ƽ
-- p2ƽitemtypeid
local function GetSeaBreakItemSetName(p1, p2)
	local bBreakItem_Flag = T_SealTreasure_BreakItem[p2]
	if bBreakItem_Flag == nil then
		return sSealTreasure_BreakItem
	end
	
	local sBreakItemS_Name = T_SealTreasure_BreakItem[p2].Name
	local nBreakItemS_Nums = T_SealTreasure_BreakItem[p2].Nums[p1]
	
	if sBreakItemS_Name == nil or nBreakItemS_Nums == nil then
		return sSealTreasure_BreakItem
	end
	
	local sBreakItemS_Nums_Name = string.format(sBreakItemS_Name,nBreakItemS_Nums)
	return sBreakItemS_Nums_Name
end

-- عƽѡЧ
-- p1ƽ
-- p2ƽitemtypeid
local function GetSeaBreakItemSetEffect(p1, p2)
-- ֻǲݣp1p2չ
	if (p1 == 1) then
		return "xkpj_star1"
	end
	if (p1 == 2) then
		return "xkpj_star2"
	end
	if (p1 == 3) then
		return "xkpj_star3"
	end
	if (p1 == 4) then
		return "xkpj_star4"
	end
	if (p1 == 5) then
		return "xkpj_star5"
	end
end

-- عƽЧƣžһ
local function GetSeaBreakEffect(p1)
	if (p1 == 1) then
		return "Hit1"
	end
	if (p1 == 2) then
		return "Hit2"
	end
	if (p1 == 3) then
		return "Hit3"
	end
	if (p1 == 4) then
		return "Hit4"
	end
	if (p1 == 5) then
		return "Hit5"
	end
end

-- ƽƷ۸
-- p1ƽƷitemtypeid
local function GetBreakItemPrice(p1)
-- ݣдһݽṹp1Ʋͬļ۸()
	local bBreakItem_Flag = T_SealTreasure_BreakItem[p1]
	
	if bBreakItem_Flag == nil then
		return nSealTreasure_BreakPrice
	end

	local nBreakItem_Price = T_SealTreasure_BreakItem[p1].Price
	if nBreakItem_Price == nil then 
		return nSealTreasure_BreakPrice
	end 
	return nBreakItem_Price
end

-- 㡢عԤ
-- p1ҳ
-- p2ǶӦPreview1Preview2SectionPagePageUpֻǼʾҪعidʱƸӵĽṹ
-- p3ǵعid
local function GetSealPreview(p1, p2, p3)
-- ֻǲݣp3չ()
	return Preview1[p3][p1][p2]
end

local function GetSealTreasureTipOffsetY()
	return 139
end
local function GetSealTreasureTipOffsetX()
	return 700
end

-- ع2
-- p1ǵعid
local function GetSealFloorMax(p1)
-- ݣպɸp1ֿòͬعͬ()
	local bItemPro_Flag = T_SealTreasure[p1]
	if bItemPro_Flag == nil then
		return nSealTreasure_FloorNums
	end
	
	local nItemPro_Type = T_SealTreasure[p1].Type
	
	if nItemPro_Type == nil or nItemPro_Type ~= 1 then
		return nSealTreasure_FloorNums
	end
	
	local nFloorNums = T_SealTreasure[p1].FloorNums
	if nFloorNums == nil then 
		return nSealTreasure_FloorNums
	end 
	return nFloorNums
end

-- ع3һ
-- p1ҳӦLuckPageı
-- p2ǶӦLuckPageSectionPagePageUp
-- p3ǵعid
local function GetSealLuck(p1, p2, p3)
-- ݣдһݽṹp1p2p3ƲͬĽ
	local info = LuckPage[p3][p1]
	local keyValue = nil
	if (info) then
		keyValue = info[p2]
	end
	return keyValue
end

-- ع3аѯʱ
local function GetSealRankUpdateInterval()
-- λ룬ݶ30
	return 30000
end

-- عΪʱﳯ
-- p1Ǳitemtypeid
local function GetSealMountRotateZ(p1)
		local bReward_Flag = T_SealTreasure_Reward[p1]
	if bReward_Flag == nil then
		return nSealTreasure_RotateZ
	end
	
	local nReward_RotateZ = T_SealTreasure_Reward[p1].RotateZ
	
	if nReward_RotateZ == nil then
		return nSealTreasure_RotateZ
	end
	
	return nReward_RotateZ
end

-- عΪʱxת
-- p1Ǳitemtypeid
local function GetSealMountRotateX(p1)
	local bReward_Flag = T_SealTreasure_Reward[p1]
	if bReward_Flag == nil then
		return nSealTreasure_RotateX
	end
	
	local nReward_RotateX = T_SealTreasure_Reward[p1].RotateX
	
	if nReward_RotateX == nil then
		return nSealTreasure_RotateX
	end
	
	return nReward_RotateX
end

-- عΪʱﶯ
-- p1Ǳitemtypeid
local function GetSealMountActionType(p1)
	local bReward_Flag = T_SealTreasure_Reward[p1]
	if bReward_Flag == nil then
		return nSealTreasure_ActionType
	end
	
	local nReward_ActionType = T_SealTreasure_Reward[p1].ActionType
	
	if nReward_ActionType == nil then
		return nSealTreasure_ActionType
	end
	
	return nReward_ActionType
end

-- ع12½ƽϢ
-- ֵͬʱ½Ϣֻʾ
local function GetSealMsgMax(default)
-- defaultֵ5
	return 5
end

-- ع3½һϢ
-- ֵͬʱ½Ϣֻʾ
local function GetSealLuckMsgMax(default)
-- defaultֵ6
	return 6
end

-- ع2DͼƬ۵ıanisection
-- p1ǱitemtypeiddefaultItem%u
local function GetSeal2DPicTreasureAniSection(p1, default)
-- ݣдһݽṹp1Ʋͬanisection
	return default
end

-- ع2DͼƬ۵ıaniļ
-- p1Ǳitemtypeiddefaultani/Control.ani
local function GetSeal2DPicTreasureAniFile(p1, default)
	
	local bReward_Flag = T_SealTreasure_Reward[p1]
	
	if bReward_Flag == nil then
		return sSealTreasure_AniFile
	end
	
	local nReward_Type = T_SealTreasure_Reward[p1].RewardType
	if nReward_Type ~= 0 then
		return sSealTreasure_AniFile
	end
	
	local sReward_AniFile = T_SealTreasure_Reward[p1].AniFile
	
	if sReward_AniFile == nil then
		return sSealTreasure_AniFile
	end

	return sReward_AniFile
end

-- ع3dЧtitle
-- p1Ǳitemtypeid
local function GetSealWeaponEffect(p1)
	local bReward_Flag = T_SealTreasure_Reward[p1]
	
	if bReward_Flag == nil then
		return sSealTreasure_WeaponEffect
	end
	
	local nReward_Type = T_SealTreasure_Reward[p1].RewardType
	if nReward_Type ~= 3 then
		return sSealTreasure_WeaponEffect
	end
	
	local sReward_WeaponEffect = T_SealTreasure_Reward[p1].WeaponEffect
	
	if sReward_WeaponEffect == nil then
		return sSealTreasure_WeaponEffect
	end

	return sReward_WeaponEffect
end

-- عʾͣ0-2DͼƬ1-׵ģ(187515)2-ģͣģֻģ2005643-3dЧʽ
-- p1Ǳitemtypeid
local function GetSealTreasureType(p1)
	
	local bReward_Flag = T_SealTreasure_Reward[p1]
	
	if bReward_Flag == nil then
		return nSealTreasure_RewardType
	end
	
	local nReward_Type = T_SealTreasure_Reward[p1].RewardType
	if nReward_Type == nil then 
		return nSealTreasure_RewardType
	end 
	
	return nReward_Type
end

-- ع2Чtitle
-- p1ǵعid
-- p2ǵع
local function GetSealUpEfect(p1, p2)
-- ̨̧Ч
	return "DiTaiUP"
end

-- عͼtitle
-- p1ǵعid
-- p2ǵع
-- defaultֵDigong_BG
local function GetSealBG(p1, p2, default)
	local bSeal_Flag = T_SealTreasure[p1]
	
	if bSeal_Flag == nil then
		return default
	end
	
	local sSeal_Seal = T_SealTreasure[p1][p2]
	
	if sSeal_Seal == nil then
		return default
	end
	
	local sSeal_SealBG = T_SealTreasure[p1][p2].SealBG
	
	if sSeal_SealBG == nil then
		return default
	end
	
	return sSeal_SealBG
end

-- ɹƽʰٷֱ
-- p1ƽƷitemtypeid
-- p2ƽƷʹø
-- p3ǵعid
-- p4ǵع
-- һࣨ㡢㣩عΪֱƾ ࣨȫعΪһʣ5Ӧʹ1~5ƽƷ
local function GetBreakItemPro(p1, p2, p3, p4)
	local bItemPro_Flag = T_SealTreasure[p3]
	if bItemPro_Flag == nil then
		return sSealTreasure_ItemPro
	end
	
	local nItemPro_Type = T_SealTreasure[p3].Type
	
	if nItemPro_Type == nil then
		return sSealTreasure_ItemPro
	end
	
	local nItemPro_Pro = T_SealTreasure[p3][p4].ItemPro[p2]
	if nItemPro_Pro == nil then 
		return sSealTreasure_ItemPro
	end 
	return tostring(nItemPro_Pro)
end

-- ƵӡϺõļļ·
-- p1ƽ
local function GetSealCursorName(p1)
-- δյʽԴõǲԴڸʽԴɾעı
	if (p1 == 1) then
		return "Data/Cursor/digong1.ani"
	end
	if (p1 == 2) then
		return "Data/Cursor/digong2.ani"
	end
	if (p1 == 3) then
		return "Data/Cursor/digong3.ani"
	end
	if (p1 == 4) then
		return "Data/Cursor/digong4.ani"
	end
	if (p1 == 5) then
		return "Data/Cursor/digong5.ani"
	end
end

-- ÿ˺ԶӦnֱ֣ÿȡһ
-- ֵn
-- ini/Cn_Res.iniִУ
-- STR_SEALED_TREASURE_DAMAGE_5_%d%d0~n-1滻
-- STR_SEALED_TREASURE_DAMAGE_10_%d%d0~n-1滻
-- STR_SEALED_TREASURE_DAMAGE_30_%d%d0~n-1滻
-- STR_SEALED_TREASURE_DAMAGE_50_%d%d0~n-1滻
-- STR_SEALED_TREASURE_DAMAGE_OVER_50_%d%d0~n-1滻
local function GetSealDamageRandom()
	return 2
end

--콱Ч
local getAwardEffectCfg = {
	--콱ЧԴ·;
	resPath = "Digong_lingqv",
	--콱ЧX;
	posX = 0,
	--콱ЧY;
	posY = 0,
}

local function GetRefreshItemCfgFunc(key)
	return getAwardEffectCfg[key]
end

local function GetSealPreviewTotalPage(id)
	return Preview1[id].PageCount
end

-- ͷڴ
local function Unload()
	LuckPage = nil
end

-- ͨrequireLuaűʹ
local SealedT = {
	GetSealTreasureRareY = GetSealTreasureRareY,
	GetSealTreasureRareX = GetSealTreasureRareX,
	GetSealTreasureRare = GetSealTreasureRare,
	GetSealRuleCtrlId = GetSealRuleCtrlId,
	GetSealRuleBgCtrlId = GetSealRuleBgCtrlId,
	GetSealRuleCount = GetSealRuleCount,
	GetSeaBreakItemSetName = GetSeaBreakItemSetName,
	GetSeaBreakItemSetEffect = GetSeaBreakItemSetEffect,
	GetSealPreview = GetSealPreview,
	GetSealTreasureTipOffsetY = GetSealTreasureTipOffsetY,
	GetSealTreasureTipOffsetX = GetSealTreasureTipOffsetX,
	GetSeaBreakEffect = GetSeaBreakEffect,
	GetSealFloorMax = GetSealFloorMax,
	GetSealLuck = GetSealLuck,
	GetSealRankUpdateInterval = GetSealRankUpdateInterval,
	GetSealMountRotateZ = GetSealMountRotateZ,
	GetSealMountRotateX = GetSealMountRotateX,
	GetSealMountActionType = GetSealMountActionType,
	GetSealMsgMax = GetSealMsgMax,
	GetSealLuckMsgMax = GetSealLuckMsgMax,
	GetSeal2DPicTreasureAniSection = GetSeal2DPicTreasureAniSection,
	GetSeal2DPicTreasureAniFile = GetSeal2DPicTreasureAniFile,
	GetSealWeaponEffect = GetSealWeaponEffect,
	GetSealTreasureType = GetSealTreasureType,
	GetSealUpEfect = GetSealUpEfect,
	GetSealBG = GetSealBG,
	GetBreakItemPrice = GetBreakItemPrice,
	GetBreakItemPro = GetBreakItemPro,
	GetSealCursorName = GetSealCursorName,
	GetSealDamageRandom = GetSealDamageRandom,
	GetRefreshItemCfgFunc = GetRefreshItemCfgFunc,
	GetSealPreviewTotalPage = GetSealPreviewTotalPage,
	Unload = Unload,
}

-- C++ʹõglobal
SealedT_GetSealTreasureRareY = GetSealTreasureRareY
SealedT_GetSealTreasureRareX = GetSealTreasureRareX
SealedT_GetSealTreasureRare = GetSealTreasureRare
SealedT_GetSealRuleCtrlId = GetSealRuleCtrlId
SealedT_GetSealRuleBgCtrlId = GetSealRuleBgCtrlId
SealedT_GetSealRuleCount = GetSealRuleCount
SealedT_GetSeaBreakItemSetName = GetSeaBreakItemSetName
SealedT_GetSeaBreakItemSetEffect = GetSeaBreakItemSetEffect
SealedT_GetSealPreview = GetSealPreview
SealedT_GetSealTreasureTipOffsetY = GetSealTreasureTipOffsetY
SealedT_GetSealTreasureTipOffsetX = GetSealTreasureTipOffsetX
SealedT_GetSeaBreakEffect = SealedT.GetSeaBreakEffect
SealedT_GetSealFloorMax = SealedT.GetSealFloorMax
SealedT_GetSealLuck = SealedT.GetSealLuck
SealedT_GetSealRankUpdateInterval = SealedT.GetSealRankUpdateInterval
SealedT_GetSealMountRotateZ = SealedT.GetSealMountRotateZ
SealedT_GetSealMountRotateX = SealedT.GetSealMountRotateX
SealedT_GetSealMountActionType = SealedT.GetSealMountActionType
SealedT_GetSealMsgMax = SealedT.GetSealMsgMax
SealedT_GetSealLuckMsgMax = SealedT.GetSealLuckMsgMax
SealedT_GetSeal2DPicTreasureAniSection = SealedT.GetSeal2DPicTreasureAniSection
SealedT_GetSeal2DPicTreasureAniFile = SealedT.GetSeal2DPicTreasureAniFile
SealedT_GetSealWeaponEffect = SealedT.GetSealWeaponEffect
SealedT_GetSealTreasureType = SealedT.GetSealTreasureType
SealedT_GetSealUpEfect = SealedT.GetSealUpEfect
SealedT_GetSealBG = SealedT.GetSealBG
SealedT_GetBreakItemPrice = SealedT.GetBreakItemPrice
SealedT_GetBreakItemPro = SealedT.GetBreakItemPro
SealedT_GetSealCursorName = SealedT.GetSealCursorName
SealedT_GetSealDamageRandom = SealedT.GetSealDamageRandom
SealedT_getRereshItemEffectCfgFunc = GetRefreshItemCfgFunc
SealedT_GetSealPreviewTotalPage = SealedT.GetSealPreviewTotalPage
SealedT_Unload = SealedT.Unload

-- requireֵ
return SealedT