local AnalyticInfo = {
	["is_inner"] = false,
	["is_log"] = false,
}
local EventInfo = {
	[1] = {
		---Pokerڰť :
		["code"] 	= "Evt_Click_Poker",
		["category"]= "Texas",
		["name"]	= "Pokerڰť",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\"}",
	},
	[2] = {
		--Ԥť-/ :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Pre_CheckFold",
		["category"]= "Texas",
		["name"]	= "Ԥť-/",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},
	[3] = {
		--Ԥť-ע :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Pre_Call",
		["category"]= "Texas",
		["name"]	= "Ԥť-ע",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},
	[4] = {
		--Ԥť-AllIn :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Pre_AllIn",
		["category"]= "Texas",
		["name"]	= "Ԥť-AllIn",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},
	[5] = {
		--Ҳغ-/ :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Opt_Fold",
		["category"]= "Texas",
		["name"]	= "Ҳغ-/",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},  
	[6] = {
		--Ҳغ-ȷ :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Box_Fold",
		["category"]= "Texas",
		["name"]	= "Ҳغ-ȷ",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},		  
	[7] = {
		--ưť :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Opt_Check",
		["category"]= "Texas",
		["name"]	= "ưť",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},  
	[8] = {
		--עť :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Opt_Call",
		["category"]= "Texas",
		["name"]	= "עť",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},  
	[9] = {
		--עť-ǰ-Ҳغǰ-˼ע :+äע+ǰԾֽ׶+ע
		["code"] 	= "Evt_Opt_Raise_0",
		["category"]= "Texas",
		["name"]	= "עť-ǰ-Ҳغǰ-˼ע",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"RaiseBet\":\"%%s\"}",
	},
	[10] = {
		--עť-ƺ-Ҳٻغǰ-˼ע :+äע+ǰԾֽ׶+ע
		["code"] 	= "Evt_Opt_Raise_1",
		["category"]= "Texas",
		["name"]	= "עť-ƺ-Ҳٻغǰ-˼ע",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"RaiseBet\":\"%%s\"}",
	},
	[11] = {
		--עť-ƺ-Ҳغǰ-˼ע :+äע+ǰԾֽ׶+ע
		["code"] 	= "Evt_Opt_Raise_2",
		["category"]= "Texas",
		["name"]	= "עť-ƺ-Ҳغǰ-˼ע",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"RaiseBet\":\"%%s\"}",
	},  
	[12] = {
		--ʱť :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Opt_Raise_Time",
		["category"]= "Texas",
		["name"]	= "ʱť",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"RoomStatus\":\"%%s\"}",
	},
	[13] = {
		--򿪻߽ :+äע+ǰԾֽ׶
		["code"] 	= "Evt_Prop_Open",
		["category"]= "Texas",
		["name"]	= "򿪻߽",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\"}",
	},  
	[14] = {
		--ʹû :+äע+ǰԾֽ׶++ʹý
		["code"]	= "Evt_PropItem_Open",
		["category"]= "Texas",
		["name"]	= "ʹû",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"PropType\":\"%%s\",\"Res\":\"%%s\"}",
	}, 
	[15] = {
		--ͺɹ :+äע+ǰԾֽ׶+ͽ
		["code"] 	= "Evt_ChipToDealer",
		["category"]="Texas",
		["name"]	="ͺɹ",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"Res\":\"%%s\"}",
	},
	[16] = {
		--ֺɹ :+äע+ǰԾֽ׶+ֺ
		["code"] 	= "Evt_ChipToSystem",
		["category"]= "Texas",
		["name"]	= "ֺɹ",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"Res\":\"%%s\"}",
	},    
	[17] = {
		---밴ť :+äע+ǰԾֽ׶ +  +  + Я + СЯ + Զ״̬ + Զ״̬
		["code"] 	= "Evt_EnterBuy",
		["category"]= "Texas",
		["name"]	= "-밴ť",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%d\",\"Blind\":\"%%d\",\"RoomStatus\":\"%%d\",\"BuyChips\":\"%%s\",\"HeroChips\":\"%%s\",\"MaxEnterBuy\":\"%%s\",\"MinEnterBuy\":\"%%s\",\"AutoComplete\":\"%%s\",\"AutoRenew\":\"%%s\",\"Res\":\"%%s\"}",
	},  
	[18] = {
		--  
		-- 0:ٵ(5)С
		-- 1:ٵ(5)
		-- 2:ٰ(5)С
		-- 3:(9)С
		-- 4:(9)
		-- 5:(9)С
		--Ծʷ-鿴 :+äע+ǰԾֽ׶+鿴
		["code"] 	= "Evt_Card_Hand",
		["category"]= "Texas",
		["name"]	= "Ծʷ-鿴",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%s\",\"Blind\":\"%%s\",\"RoomStatus\":\"%%s\",\"Res\":\"%%s\"}",
	}, 
	[19] = {
		--  
		-- 0:ٵ(5)С
		-- 1:ٵ(5)
		-- 2:ٰ(5)С
		-- 3:(9)С
		-- 4:(9)
		-- 5:(9)С
		--Ծʷ-鿴ʣ๫ :+äע+ǰԾֽ׶+鿴
		["code"] 	= "Evt_Card_Public",
		["category"]= "Texas",
		["name"]	= "Ծʷ-鿴ʣ๫",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%s\",\"Blind\":\"%%s\",\"RoomStatus\":\"%%s\",\"Res\":\"%%s\"}",
	}, 
	[20] = {
		--淨-ʹÿٿʼ(ٿʼť) :+
		["code"] 	= "Evt_Click_QuickPlay",
		["category"]= "Texas",
		["name"]	= "淨-ʹÿٿʼ",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\",\"TableType\":\"%%s\",\"Res\":\"%%s\"}",
	},
	[21] = {
		--Ϸ :ʺ+
		["code"] 	= "Evt_Enter_Game",
		["category"]= "Loading",
		["name"]	= "Ϸ",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\"}",
	},
	[22] = {
		-- :ɫID+
		["code"] 	= "Evt_Click_Bag",
		["category"]= "Loading",
		["name"]	= "",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\"}",
	},
	[23] = {
		-- :ɫID+
		["code"] 	= "Evt_Click_Role",
		["category"]= "Loading",
		["name"]	= "",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\"}",
	},
	[24] = {
		-- :ɫID+
		["code"] 	= "Evt_Click_Notice",
		["category"]= "Loading",
		["name"]	= "",
		["format"]	= "{\"userId\":\"%d\",\"userName\":\"%s\",\"roleId\":\"%d\",\"roleName\":\"%s\",\"serverId\":\"%d\",\"serverName\":\"%s\"}",
	},
}

local function GetInfo(key, default)
	if AnalyticInfo[key] == nil then
		return default
	end
	
	return AnalyticInfo[key]
end

local function GetEventInfo(Type, key, default)
	if EventInfo[Type] == nil or EventInfo[Type][key] == nil then
		return ""
	end
    return EventInfo[Type][key]
end

-- ͷڴ
local function Unload()
    EventInfo = nil
end

--ȡͨ¼ 
--ʣද̬C++ֽж̬滻
local function GetCustomEvent(eventType, account_id, account_name, role_id, role_name, server_id, server_name)

	local str_format = GetEventInfo(eventType, "format")
	
	-- ѵ¼ɹ,Ϣ:account_id, account_name, role_id, role_name, server_id, server_name
	return string.gsub(string.format(str_format, account_id, account_name, role_id, role_name, server_id, server_name),"##","%%%%")
	
end


-- Ƿд־ ⽨鷵false
function IsEnableDebug()
	return true
end

-- Ƿ ĬϷtrue
function IsEnable()
	return true
end


local Analytics_Cfg = {
    IsEnableDebug = IsEnableDebug,
    IsEnable = IsEnable,
	GetCustomEvent = GetCustomEvent,
	GetEventInfo = GetEventInfo,
	GetInfo = GetInfo,
    Unload = Unload,
}

-- C++ʹõglobal
Analytics_Cfg_GetInfo = Analytics_Cfg.GetInfo
Analytics_Cfg_GetEventInfo = Analytics_Cfg.GetEventInfo
Analytics_Cfg_IsEnable = Analytics_Cfg.IsEnable
Analytics_Cfg_IsEnableDebug = Analytics_Cfg.IsEnableDebug
Analytics_Cfg_GetCustomEvent = Analytics_Cfg.GetCustomEvent
Analytics_Cfg_Unload = Analytics_Cfg.Unload

-- requireֵ
return Analytics_Cfg